Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.panorama
Class LogChartRequest

    java.lang.Object
      lbg.simulator.tools.panorama.LogChartRequest

    public class LogChartRequest

extends java.lang.Object

Author:
  Cyril Briquet

Field Summary
`int` | `chart_id`
`LogChartDrawingListener` | `listener`

Constructor Summary
`LogChartRequest(LogChartDrawingListener listener, int chart_id, java.lang.String... col_titles)`

Method Summary
`java.awt.image.BufferedImage` | `getChartImage()`
`java.lang.String[]` | `getColumnTitles()`
`void` | `setChartImage(java.awt.image.BufferedImage chart_img)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### listener

    public final LogChartDrawingListener listener

### chart_id

    public final int chart_id

Constructor Detail

### LogChartRequest

    public LogChartRequest(LogChartDrawingListener listener,
                           int chart_id,
                           java.lang.String... col_titles)
                    throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getColumnTitles

    public java.lang.String[] getColumnTitles()

### setChartImage

    public void setChartImage(java.awt.image.BufferedImage chart_img)
                       throws GridException

  Throws:
    `GridException`

### getChartImage

    public java.awt.image.BufferedImage getChartImage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.